
<!-- Input (Summary) -->
<table class="table table-light table-hover">
  <thead>
  </thead>
  <tbody>
  <tr>
    <th scope="row" class="ml-summary-col">Job Label:</th>
    <td>
      {{ prophaneJobState.currentProphaneJob.parameters.jobLabel }}
    </td>
  </tr>
  <tr>
    <th scope="row" class="ml-summary-col">Source:</th>
    <td>
      {{ prophaneJobState.currentProphaneJob.parameters.reportStyle.name }}
    </td>
  </tr>
  <tr>
    <th [ngClass]="!prophaneJobState.proteinReportFile ? 'table-warning' : ''" scope="row" class="ml-summary-col">
      Report File:
    </th>
    <td [ngClass]="!prophaneJobState.proteinReportFile ? 'table-warning' : ''">
      {{ prophaneJobState.proteinReportFile ? prophaneJobState.proteinReportFile.name : 'not selected yet' }}
    </td>
  </tr>
  <tr>
    <th [ngClass]="!prophaneJobState.fastaFile ? 'table-warning' : ''" scope="row" class="ml-summary-col">
      Fasta File:
    </th>
    <td [ngClass]="!prophaneJobState.fastaFile ? 'table-warning' : ''">
      {{ prophaneJobState.fastaFile ? prophaneJobState.fastaFile.name : 'not selected yet' }}
    </td>
  </tr>
  <tr>
    <th scope="row"
        [ngClass]="prophaneJobState.currentProphaneJob.parameters.contaminationOption.valueString !== 'none' &&
         prophaneJobState.currentProphaneJob.parameters.contaminationOption.label === '' ? 'table-warning' : ''"
        class="ml-summary-col">
      Exclude:
    </th>
    <td *ngIf="prophaneJobState.currentProphaneJob.parameters.contaminationOption.valueString === 'none'">
      none
    </td>
    <td *ngIf="prophaneJobState.currentProphaneJob.parameters.contaminationOption.valueString !== 'none'"
        [ngClass]="prophaneJobState.currentProphaneJob.parameters.contaminationOption.valueString !== 'none' &&
         prophaneJobState.currentProphaneJob.parameters.contaminationOption.label === '' ? 'table-warning' : ''">
      {{ prophaneJobState.currentProphaneJob.parameters.contaminationOption.name + " " +
    prophaneJobState.currentProphaneJob.parameters.contaminationOption.label }}
    </td>
  </tr>
  <tr>
    <th scope="row"></th>
    <td></td>
  </tr>
  </tbody>
</table>

<!-- Sample Groups (Summary) -->
<table *ngIf="prophaneJobState.expertView" class="table .table-light table-hover">
  <thead>
  </thead>
  <tbody>
  <tr *ngIf="prophaneJobState.currentProphaneJob.parameters.sampleGroups.length === 0">
    <th scope="row" class="ml-summary-col" class="ml-summary-col">Sample Groups:</th>
    <td>
      not defined (expert option)
    </td>
  </tr>
  <tr *ngIf="prophaneJobState.currentProphaneJob.parameters.sampleGroups.length > 0">
    <th scope="row" class="ml-summary-col"> Sample Groups:</th>
    <td>
        <mat-list>
          <mat-list-item *ngFor="let group of prophaneJobState.currentProphaneJob.parameters.sampleGroups">
            <span matListItemTitle>{{ group.groupname }}</span>
            <span matListItemLine *ngFor="let member of group.groupmembersGUI"> {{ member.name }}</span>
          </mat-list-item>
      </mat-list>
    </td>
  </tr>
  </tbody>
</table>

<!-- Quantification (Summary) -->
<table *ngIf="prophaneJobState.expertView" class="table .table-light table-hover">
  <thead>
  </thead>
  <tbody>
  <tr>
    <th scope="row" class="ml-summary-col">Quantification Method:</th>
    <td>
      {{ prophaneJobState.currentProphaneJob.parameters.quantification.name }}
    </td>
  </tr>
  <tr>
    <th scope="row" class="ml-summary-col"></th>
    <td></td>
  </tr>
  </tbody>
</table>

<!-- Taxonomic Task (Summary) -->
<table *ngIf="prophaneJobState.expertView" class="table .table-light table-hover">
  <thead>
  </thead>
  <tbody>
  <tr *ngIf="prophaneJobState.filterAnnotationTasks('Taxonomy').length === 0">
    <th scope="row" class="ml-summary-col">Taxonomic Annotation:</th>
    <td>
      not defined
    </td>
  </tr>
  <ng-container *ngIf="prophaneJobState.filterAnnotationTasks('Taxonomy').length > 0">
    <tr *ngFor="let task of prophaneJobState.filterAnnotationTasks('Taxonomy')">
      <th scope="row" class="ml-summary-col">
        Taxonomic Annotation:
      </th>
      <td>
        {{ task.tasklabel }}<br>
        <mat-list>
          <mat-list-item>
            <div matListItemLine> database: {{ task.database }} ({{ task.databaseversion }}) </div>
            <div matListItemLine> algorithm: {{ task.algorithm }}</div>
            <div matListItemLine>  e-value: {{ getEvalue(task.optionstring) }} </div>
            <div matListItemLine> advanced options: {{ optionstringToString(task.optionstring) }}</div>
          </mat-list-item>
        </mat-list>
      </td>
    </tr>
  </ng-container>
  <tr>
    <th scope="row" class="ml-summary-col"></th>
    <td></td>
  </tr>
  </tbody>
</table>

<!-- Functional Task (Summary) -->
<table *ngIf="prophaneJobState.expertView" class="table .table-light table-hover">
  <thead></thead>
  <tbody>
  <tr *ngIf="prophaneJobState.filterAnnotationTasks('Function').length == 0">
    <th scope="row" class="ml-summary-col">Functional Annotation</th>
    <td>
      not defined
    </td>
  </tr>
  <ng-container *ngIf="prophaneJobState.filterAnnotationTasks('Function').length > 0">
    <tr *ngFor="let task of prophaneJobState.filterAnnotationTasks('Function')">
      <th scope="row" class="ml-summary-col">
        Functional Annotation:
      </th>
      <td>
        {{ task.tasklabel }}<br>
        <mat-list>
          <mat-list-item>
            <div matListItemLine> database: {{ task.database }} ({{ task.databaseversion }}) </div>
            <div matListItemLine> algorithm: {{ task.algorithm }}</div>
            <div matListItemLine>  e-value: {{ getEvalue(task.optionstring) }} </div>
            <div matListItemLine> advanced options: {{ optionstringToString(task.optionstring) }}</div>
          </mat-list-item>
        </mat-list>
      </td>
    </tr>
  </ng-container>
  <tr>
    <th scope="row" class="ml-summary-col"></th>
    <td></td>
  </tr>
  </tbody>
</table>

<!-- Custom Map Task (Summary) -->
<table *ngIf="prophaneJobState.expertView && prophaneJobState.getCustomTasks().length > 0"
        class="table .table-light table-hover">
  <thead></thead>
  <tbody>
    <tr *ngFor="let custom_task of prophaneJobState.getCustomTasks()">
      <th scope="row" class="ml-summary-col">
        Custom Map Annotation:
      </th>
      <td>
        {{custom_task.tasklabel}}<br>
        <mat-list>
          <mat-list-item>
            <div matListItemLine [ngClass]="!custom_task.optionstring[0].values[0] ? 'table-warning' : ''"> 
              Custom Map File: {{ custom_task.optionstring[0].values[0] ?
                custom_task.optionstring[0].values[0] : 'not selected yet' }}  </div>
            <div matListItemLine> algorithm: {{ custom_task.algorithm }}  </div>
          <!--   <div matListItemLine> Scope: {{ custom_task.scope }} </div> -->
          </mat-list-item>
        </mat-list>
      </td>
    </tr>
  </tbody>
</table>

<!-- LCA Options (Summary) -->
<table class="table .table-light table-hover">
  <thead>
  </thead>
  <tbody>
  <th scope="row" class="ml-summary-col">
    Lowest Common Ancestor:
  </th>
  <td>
    <mat-list>
      <mat-list-item>
        <div matListItemLine> LCA method: {{prophaneJobState.currentProphaneJob.parameters.lcaTask.name }} </div>
        <div matListItemLine *ngIf="prophaneJobState.currentProphaneJob.parameters.lcaTask.method =='lca'">
          threshold: {{get_lca_threshold(prophaneJobState.currentProphaneJob.parameters.lcaTask)}}
        </div>
        <div matListItemLine 
        *ngFor="let advanced_lca_option of get_advanced_lca_options(prophaneJobState.currentProphaneJob.parameters.lcaTask)">   {{advanced_lca_option.param}}: {{ advanced_lca_option.defaultValue }}
           </div>
      </mat-list-item>
    </mat-list>
  </td>
  </tbody>
</table>


<div *ngIf="hasAdvancedOpts()" class="alert">
  You have used advanced options in one or more annotation tasks. Please make sure that the options used do not conflict
  with each other and are supported by the selected database, otherwise the analysis will be terminated abnormally.
</div>
<button mat-raised-button color="primary"
        (click)="prophaneJobState.requestNewJob()" class="float-start"> Reset
</button>
<button mat-raised-button color="primary" class="float-end"
        [disabled]="(
        prophaneJobState.formErrors.size > 0 ||
         prophaneJobState.jobUnavailable ||
          !prophaneJobState.proteinReportFile ||
           !prophaneJobState.fastaFile ||
            prophaneJobState.currentProphaneJob.parameters.annotationTasks.length === 0)"
        (click)=" prophaneJobState.submitJob()">Submit
</button>
